/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef petscii_dec_h
#define petscii_dec_h

#include "cons_if.h"

typedef struct{
    unsigned int color:4;
    unsigned int unshifted:1;
    unsigned int reverse:1;
}PetsciiState;

typedef struct _PetsciiDecoder PetsciiDecoder;

PetsciiDecoder* petscii_decoder_new(const ConsoleInterface*,Console*);
void petscii_decoder_free(PetsciiDecoder*);
void petscii_decoder_write(PetsciiDecoder*,int);

#endif /* petscii_dec_h */
