/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef cgmdraw_cairo_h
#define cgmdraw_cairo_h

#include <cairo.h>
#include <stddef.h>
#include <stdint.h>

typedef cairo_t*(*cgm_draw_page_func_t)(void *userdata, int width, int height);

int cgm_draw_cairo(const uint8_t*, size_t, cgm_draw_page_func_t, void*);

#endif /* cgmdraw_cairo_h */
